import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib

fin_nm = input('File Name = ') 
data_frm = pd.read_csv(fin_nm, encoding='shift-jis')
L_cat = data_frm.keys().values[1:]
L_q1 = data_frm.values[0][1:]
L_mean = data_frm.values[1][1:]
L_q3 = data_frm.values[2][1:]

fig, ax = plt.subplots(1,1)                   #   棒グラフ内に文字列を書き込むためにaxを設定
bc=plt.bar(L_cat, L_mean,                     #   横軸と縦軸の値
           yerr=[L_mean-L_q1, L_q3-L_mean],   #   エラーバー値、Meansからの距離（正値）
           ecolor='r', capsize=25,            #   エラーバーの色とキャップサイズ
           error_kw={'elinewidth':15},        #   エラーバーの太さ
           alpha=0.7)                         #   棒グラフの透明度
#    棒グラフ内に文字列を書き込む
ax.bar_label(bc,labels=[f'{v:.1f}' for v in L_mean],
             label_type='center', fontsize=20)
plt.xticks(fontsize=20)
plt.yticks(fontsize=15)
plt.title(data_frm.keys()[0], fontsize=20)
plt.tight_layout()
plt.show()

