import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib

fin_nm = input('File Name = ')
dframe = pd.read_csv(fin_nm, encoding='shift_jis') 
print(dframe.keys().values)
x_nm = input('X variable = ')
y_nm = input('Y variable = ')
X = dframe[x_nm].values
Y = dframe[y_nm].values
g_title = input('タイトル = ')
 
#     描画画面の大きさ
fig = plt.figure(figsize=(7,7))

#      左下の区画：　散布図用
ax1 = plt.subplot2grid((4,4), (1,0), rowspan=3,colspan=3)

#      左上の区画：　最低気温のヒストグラム用
ax2 = plt.subplot2grid((4,4), (0,0), rowspan=1, colspan=3, sharex=ax1)

#      右下の区画：　最高気温のヒストグラム用
ax3 = plt.subplot2grid((4,4), (1,3), rowspan=3, colspan=1, sharey=ax1)

for x, y in zip(X, Y):
    ax1.plot(x, y, 'o', c='k', markersize=10, fillstyle='none')
ax1.grid(visible=True)
ax1.set_xlabel(x_nm, fontsize=14)
ax1.set_ylabel(y_nm, fontsize=14)

ax2.hist(X, color='b', alpha=0.5, edgecolor='k', label=x_nm)
ax2.legend()

ax3.hist(Y, color='orange', alpha=0.5,edgecolor='k',
         orientation='horizontal', label=y_nm)
ax3.legend()

plt.suptitle(g_title, fontsize=18)
plt.tight_layout()
plt.show()

